// component/selectCoupon/selectCoupon.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    show: { // 显示标识
      type: Boolean,
      value: false
    },
    couponList: {
      type: Array,
      value: [],
      observer: '_couponList'
    }
  },
  /**
   * 组件的初始数据
   */
  data: {
    isSelect:false
  },

  /**
   * 组件的方法列表
   */
  methods: {
    _couponList(newV, oldV) {
      console.log('newV, oldV', newV)
      if (newV !== oldV) {
       newV.map(item=> {
         console.log(item.couponSettingDTO.notice)
          item.couponSettingDTO.notice = JSON.parse(item.couponSettingDTO.notice)
          for (let i in item.couponSettingDTO.notice) {
            if (item.couponSettingDTO.notice[i].type == 1) {
              item.couponSettingDTO.notice[i].value = item.couponSettingDTO.startTime.substring(0, 10) + ' 至 ' + item.couponSettingDTO.endTime.substring(0, 10)
            }
          }
        })

        this._updateData({
          couponList: newV
        })
      }
    },
    _updateData(data) {
      if (data) {
        this.setData(data)
      }
    },
    selectCoupon() {
      console.log('2222') 
      // 当前优惠券价格
      this.setData({
        isSelect: !this.data.isSelect
      })
    },
    hidePopup: function () { // 隐藏弹出框
      this.setData({
        show: false
      })
    },

  },
 

  
})
